%define module   Method-Alias

Name:       perl-%{module}
Version:    1.03
Release:    %mkrel 7
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Create method aliases (and do it safely)
Source:     http://www.cpan.org/modules/by-module/Method/%{module}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{module}
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
For a very long time, whenever I wanted to have a method alias (provide an
alternate name for a method) I would simple do a GLOB alias. That is,

  # My method
  sub foo {
      ...
  }
  
  # Alias the method
  *bar = *foo;

While this works fine for functions, it does *not* work for methods.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/Method





%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.03-7.mga5
+ Revision: 750369
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.03-6.mga5
+ Revision: 685400
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.03-5.mga4
+ Revision: 512877
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.03-4.mga3
+ Revision: 369716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.03-3.mga1
+ Revision: 22606
- cleaning spec file
- imported package perl-Method-Alias


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.03-3mdv2010.0
+ Revision: 430503
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.03-2mdv2009.0
+ Revision: 268615
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.0
+ Revision: 213799
- import perl-Method-Alias


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.0
- first mdv release
